//------------------------------------------------------------------------------
// <auto-generated>
//     Этот код создан по шаблону.
//
//     Изменения, вносимые в этот файл вручную, могут привести к непредвиденной работе приложения.
//     Изменения, вносимые в этот файл вручную, будут перезаписаны при повторном создании кода.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ParticipationInOlympiads
{
    using System;
    using System.Collections.Generic;
    
    public partial class OlimpiadByAgeAndLevelTable
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public OlimpiadByAgeAndLevelTable()
        {
            this.OlympiadPlanTables = new HashSet<OlympiadPlanTable>();
        }
    
        public int Id { get; set; }
        public int OlympiadByAgeId { get; set; }
        public int OlympiadLevelId { get; set; }
    
        public virtual LevelTable LevelTable { get; set; }
        public virtual OlympiadByAgeTable OlympiadByAgeTable { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<OlympiadPlanTable> OlympiadPlanTables { get; set; }
    }
}
